| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- SA : IP_ENET_002_MAC_T
- SAM : IP_CAN_BUS_TIMING_T
- SampleRate : Chip_I2S_Audio_Format_T
- SCICTRL : IP_USART_001_T
- SCLH : IP_I2C_001_T
- SCLL : IP_I2C_001_T
- sclust : DIR , FIL
- SCR : IP_USART_001_T
- scratch : file_ds
- SCS : LPC_SYSCTL_T
- sdif_dev : mci_card_struct
- sec : RTC , FATTime
- SECONDS : IP_ENET_001_T
- SECONDSUPDATE : IP_ENET_001_T
- sect : DIR
- sector_offset : SECTOR_INFO_T
- sector_size : SECTOR_INFO_T
- SEED : IP_CRC_001_T
- SegAddr : MEM_POOL
- SegAddrNextAvail : MEM_POOL
- SegNextPtr : MEM_POOL
- SegPrevPtr : MEM_POOL
- SegSizeRem : MEM_POOL
- SegSizeTot : MEM_POOL
- SemCtr : OS_TCB
- SendBreak : USBD_CDC_INIT_PARAM_T
- SendEncpsCmd : USBD_CDC_INIT_PARAM_T
- SendNotification : USBD_CDC_API_T
- SeriaAccessMin : K9F1G_ID_T
- SET : IP_GPIO_001_T , IP_GPIO_002_T , IP_QEI_001_T , IP_SCT_001_T
- set_aclkgate : PWRD_API_T
- SET_EN : LPC_EVRT_T , IP_ATIMER_001_T
- SET_EN_0 : IP_SGPIO_001_T
- SET_EN_1 : IP_SGPIO_001_T
- SET_EN_2 : IP_SGPIO_001_T
- SET_EN_3 : IP_SGPIO_001_T
- set_pll : PWRD_API_T
- set_power : PWRD_API_T
- SET_STAT : LPC_EVRT_T , IP_ATIMER_001_T
- SET_STATUS_0 : IP_SGPIO_001_T
- SET_STATUS_1 : IP_SGPIO_001_T
- SET_STATUS_2 : IP_SGPIO_001_T
- SET_STATUS_3 : IP_SGPIO_001_T
- SetAddress : USBD_HW_API_T
- SetCommFeature : USBD_CDC_INIT_PARAM_T
- SetCtrlLineState : USBD_CDC_INIT_PARAM_T
- SetLineCode : USBD_CDC_INIT_PARAM_T
- SetStallEP : USBD_HW_API_T
- SetTestMode : USBD_HW_API_T
- SetupStage : USBD_CORE_API_T
- sEvent : i2c_interface
- SffEntryNum : IP_CAN_AF_LUT_T
- SffGrpEntryNum : IP_CAN_AF_LUT_T
- SffGrpSec : IP_CAN_AF_LUT_T
- SffSec : IP_CAN_AF_LUT_T
- SFSCLK : LPC_SCU_T
- SFSI2C0 : LPC_SCU_T
- SFSP : LPC_SCU_T
- SFSUSB : LPC_SCU_T
- SGPIO_MUX_CFG : IP_SGPIO_001_T
- SHUFFLE_CTRL : LPC_OTP_T
- SIENF : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- SIENR : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- signature : image_sig
- siTDs : EHCI_HOST_DATA_T
- size : UART_PARAM_T , PMemBlockInfo , DFU_FROMHOST_PACKETHDR_T , ipc_queue , FAT12_img
- Size : SDMMC_EVENT_T
- SJW : IP_CAN_BUS_TIMING_T
- Skip : st_HC_ED
- slaveAddr : I2C_XFER_T
- SLICE_MUX_CFG : IP_SGPIO_001_T
- SOFTBREQ : IP_GPDMA_001_T
- SOFTLBREQ : IP_GPDMA_001_T
- SOFTLSREQ : IP_GPDMA_001_T
- SOFTSREQ : IP_GPDMA_001_T
- spare_size : lpc_nandflash_size_t
- Speed : st_HC_ED
- speed : SDMMC_CARD_T
- SPIFICLKSEL : LPC_SYSCTL_T
- SplitXstate : PHCD_QTD , st_EHCD_SITD
- SR : IP_CAN_001_T , IP_SPI_001_T , IP_SSP_001_T
- src : DMA_TransferDescriptor_t , FLASH_COPY_RAM_TO_FLASH_COMMAND_T , FLASH_COMPARE_MEM_COMMAND_T
- SrcAddr : GPDMA_Channel_CFG_T
- SRCADDR : IP_GPDMA_001_CH_T
- SSELPol : IP_SPI_CONFIG_T
- SSP0CLKDIV : LPC_SYSCTL_T
- SSP1CLKDIV : LPC_SYSCTL_T
- Stall : USB_CMD_STAT
- StallEp0 : USBD_CORE_API_T
- start : FLASH_PREPARE_SECTORS_COMMAND_T , FLASH_ERASE_SECTORS_COMMAND_T , FLASH_BLANK_CHECK_SECTORS_COMMAND_T
- start_addr : MEM_TEST_SETUP_T
- START_H : IP_SCT_001_T
- START_L : IP_SCT_001_T
- STARTAPRP0 : LPC_SYSCTL_T
- startCluster : DirEntry
- STARTERP0 : LPC_SYSCTL_T
- STARTERP1 : LPC_SYSCTL_T
- StartIdx : USB_Pipe_Data_t
- StartingFrame : st_HCD_IsoTransferDescriptor
- STARTLOGIC : LPC_SYSCTL_T
- STARTRSRP0CLR : LPC_SYSCTL_T
- STARTSRP0 : LPC_SYSCTL_T
- STAT : IP_QEI_001_T , IP_SPI_002_T , IP_USART_002_T , CCU_CFGSTAT_T , IP_ADC_001_T , IP_CCAN_001_T , IP_I2C_001_T , IP_MRT_001_T
- State : USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_Audio_Device_t , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_HID_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_Audio_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , OS_TMR
- STATE : IP_I2S_001_T , IP_SCT_001_T
- State : USB_ClassInfo_SI_Host_t , USB_ClassInfo_MS_Host_t
- STATE_H : IP_SCT_001_T
- STATE_L : IP_SCT_001_T
- StatF0 : IP_GPIOINT_001_T
- StatF2 : IP_GPIOINT_001_T
- STATICCONFIG0 : IP_EMC_001_T
- STATICCONFIG1 : IP_EMC_001_T
- STATICCONFIG2 : IP_EMC_001_T
- STATICCONFIG3 : IP_EMC_001_T
- staticEDs : OHCI_HOST_DATA_T
- STATICEXTENDEDWAIT : IP_EMC_001_T
- STATICWAITOEN0 : IP_EMC_001_T
- STATICWAITOEN1 : IP_EMC_001_T
- STATICWAITOEN2 : IP_EMC_001_T
- STATICWAITOEN3 : IP_EMC_001_T
- STATICWAITPAG0 : IP_EMC_001_T
- STATICWAITPAG1 : IP_EMC_001_T
- STATICWAITPAG2 : IP_EMC_001_T
- STATICWAITPAG3 : IP_EMC_001_T
- STATICWAITRD0 : IP_EMC_001_T
- STATICWAITRD1 : IP_EMC_001_T
- STATICWAITRD2 : IP_EMC_001_T
- STATICWAITRD3 : IP_EMC_001_T
- STATICWAITTURN0 : IP_EMC_001_T
- STATICWAITTURN1 : IP_EMC_001_T
- STATICWAITTURN2 : IP_EMC_001_T
- STATICWAITTURN3 : IP_EMC_001_T
- STATICWAITWEN0 : IP_EMC_001_T
- STATICWAITWEN1 : IP_EMC_001_T
- STATICWAITWEN2 : IP_EMC_001_T
- STATICWAITWEN3 : IP_EMC_001_T
- STATICWAITWR0 : IP_EMC_001_T
- STATICWAITWR1 : IP_EMC_001_T
- STATICWAITWR2 : IP_EMC_001_T
- STATICWAITWR3 : IP_EMC_001_T
- StatR0 : IP_GPIOINT_001_T
- StatR2 : IP_GPIOINT_001_T
- status : FLASH_READ_BOOTCODE_VER_OUTPUT_T , FLASH_COMPARE_MEM_OUTPUT_T
- STATUS : IP_ENET_001_RXDESC_T , IP_SDC_001_T
- Status : IP_GPIOINT_001_T
- status : FLASH_ERASE_SECTORS_OUTPUT_T , FLASH_PREPARE_SECTORS_OUTPUT_T , FLASH_READ_PART_ID_OUTPUT_T , FLASH_READ_UID_OUTPUT_T , I2C_XFER_T , st_EHCD_QHD , PHCD_EndpointDescriptor , FLASH_OUTPUT_T
- STATUS : IP_ATIMER_001_T , IP_ENET_002_TRANSFER_INFO_T , IP_ENET_002_CONTROL_T , IP_ENET_001_ENHRXDESC_T
- status : FLASH_BLANK_CHECK_SECTORS_OUTPUT_T , FLASH_COPY_RAM_TO_FLASH_OUTPUT_T
- STATUS : IP_SDMMC_001_T , LPC_EVRT_T , IP_EMC_001_T
- status : FLASH_REINVOKE_ISP_OUTPUT_T
- Status : DMADescriptor
- STATUS : LPC_OTP_T
- STATUS_0 : IP_SGPIO_001_T
- STATUS_1 : IP_SGPIO_001_T
- STATUS_2 : IP_SGPIO_001_T
- STATUS_3 : IP_SGPIO_001_T
- StatusHashCRC : IP_ENET_002_RXSTAT_T
- StatusInfo : IP_ENET_002_TXSTAT_T , IP_ENET_002_RXSTAT_T
- StatusInStage : USBD_CORE_API_T
- StatusOutStage : USBD_CORE_API_T
- StCtrl : IP_USB_001_T
- StkBasePtr : OS_TCB
- StkLimitPtr : OS_TCB
- StkPtr : OS_TCB
- StkSize : OS_TCB
- stop_flag : I2C_PARAM_T
- STOP_H : IP_SCT_001_T
- STOP_L : IP_SCT_001_T
- strBytes : DFU_TOHOST_PACKETHDR_T
- StreamingInterfaceNumber : USB_ClassInfo_MIDI_Device_t , USB_ClassInfo_Audio_Host_t , USB_ClassInfo_Audio_Device_t
- string_desc : USB_CORE_DESCS_T
- subindex : CCAN_ODCONSTENTRY_T , CCAN_ODENTRY_T
- SUBSECOND_INCR : IP_ENET_001_T
- SUM : IP_CRC_001_T
- SUPP : IP_ENET_002_MAC_T
- SupportsBootProtocol : USB_ClassInfo_HID_Host_t
- swap_xy : TSC2046_Init_T
- sXfer : i2c_interface
- SYNC : IP_GPDMA_001_T
- sync_mod : UART_CONFIG_T
- SYNCCTRL : IP_USART_001_T
- sys_clk_in_hz : UART_CONFIG_T
- SYSAHBCLKCTRL : LPC_SYSCTL_T
- SYSAHBCLKDIV : LPC_SYSCTL_T
- SysErrIntClr : IP_USB_001_T
- SysErrIntSet : IP_USB_001_T
- SysErrIntSt : IP_USB_001_T
- SYSMEMREMAP : LPC_SYSCTL_T
- SYSOSCCTRL : LPC_SYSCTL_T
- SYSPLLCLKSEL : LPC_SYSCTL_T
- SYSPLLCLKUEN : LPC_SYSCTL_T
- SYSPLLCTRL : LPC_SYSCTL_T
- SYSPLLSTAT : LPC_SYSCTL_T
- SYSRSTSTAT : LPC_SYSCTL_T
- SYSTCKCAL : LPC_SYSCTL_T
- SYSTICKCLKDIV : LPC_SYSCTL_T